Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.editor.handler
Class CreateDomainModelReferenceWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.ecp.spi.common.ui.ECPWizard<SelectionComposite<? extends org.eclipse.jface.viewers.ColumnViewer>>
              org.eclipse.emf.ecp.spi.common.ui.SelectModelElementWizard
                  org.eclipse.emf.ecp.view.internal.editor.handler.CreateDomainModelReferenceWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard

    public class CreateDomainModelReferenceWizard

extends SelectModelElementWizard

Author:
  Alexandra Buzila

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecp.spi.common.ui.SelectModelElementWizard
`SelectModelElementWizard.WizardPageExtension`

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`CreateDomainModelReferenceWizard(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EStructuralFeature structuralFeature, org.eclipse.emf.edit.domain.EditingDomain editingDomain, org.eclipse.emf.ecore.EClass eclass, String windowTitle, String pageName, String pageTitle, String description, VDomainModelReference domainModelReference)` A wizard used for creating a new DomainModelReference.
`CreateDomainModelReferenceWizard(org.eclipse.emf.ecore.EStructuralFeature.Setting setting, org.eclipse.emf.edit.domain.EditingDomain editingDomain, org.eclipse.emf.ecore.EClass eclass, String windowTitle, String pageName, String pageTitle, String description, VDomainModelReference domainModelReference)` A wizard used for creating a new DomainModelReference.

Method Summary
`void` | `addPages()`
`boolean` | `canFinish()`
`org.eclipse.jface.wizard.IWizardPage` | `getNextPage(org.eclipse.jface.wizard.IWizardPage page)`
`boolean` | `performFinish()` .

Methods inherited from class org.eclipse.emf.ecp.spi.common.ui.SelectModelElementWizard
`dispose, getDescription, getPageName, getPageTitle`

Methods inherited from class org.eclipse.emf.ecp.spi.common.ui.ECPWizard
`setCompositeProvider`

Methods inherited from class org.eclipse.jface.wizard.Wizard
`addPage, createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateDomainModelReferenceWizard

    public CreateDomainModelReferenceWizard(org.eclipse.emf.ecore.EStructuralFeature.Setting setting,
                                            org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                                            org.eclipse.emf.ecore.EClass eclass,
                                            String windowTitle,
                                            String pageName,
                                            String pageTitle,
                                            String description,
                                            VDomainModelReference domainModelReference)

  A wizard used for creating a new DomainModelReference.

  Parameters:
    `setting` - - the setting to use
    `editingDomain` - - the setting's editing domain
    `eclass` - - the root EClass of the VView the setting belongs to
    `windowTitle` - - title for the wizard window
    `pageName` - - the name of the page
    `pageTitle` - - the title of the page
    `description` - - the description
    `domainModelReference` - - the domain model reference

### CreateDomainModelReferenceWizard

    public CreateDomainModelReferenceWizard(org.eclipse.emf.ecore.EObject eObject,
                                            org.eclipse.emf.ecore.EStructuralFeature structuralFeature,
                                            org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                                            org.eclipse.emf.ecore.EClass eclass,
                                            String windowTitle,
                                            String pageName,
                                            String pageTitle,
                                            String description,
                                            VDomainModelReference domainModelReference)

  A wizard used for creating a new DomainModelReference.

  Parameters:
    `eObject` - The `EObject` to use
    `structuralFeature` - The corresponding `EStructuralFeature`
    `editingDomain` - - the setting's editing domain
    `eclass` - - the root EClass of the VView the setting belongs to
    `windowTitle` - - title for the wizard window
    `pageName` - - the name of the page
    `pageTitle` - - the title of the page
    `description` - - the description
    `domainModelReference` - - the domain model reference

Method Detail

### addPages

    public void addPages()

  Specified by:
    `addPages` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `addPages` in class `SelectModelElementWizard`

### getNextPage

    public org.eclipse.jface.wizard.IWizardPage getNextPage(org.eclipse.jface.wizard.IWizardPage page)

  Specified by:
    `getNextPage` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `getNextPage` in class `org.eclipse.jface.wizard.Wizard`
  See Also:
    `Wizard.getNextPage(org.eclipse.jface.wizard.IWizardPage)`

### performFinish

    public boolean performFinish()

  . () This method creates a model element instance from selected type, adds it to Leaf- or CompositeSection, and opens it.

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `performFinish` in class `SelectModelElementWizard`
  See Also:
    `SelectModelElementWizard.performFinish()`

### canFinish

    public boolean canFinish()

  Specified by:
    `canFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `canFinish` in class `org.eclipse.jface.wizard.Wizard`
  See Also:
    `Wizard.canFinish()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.